<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100116";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			////if($explode_name[1] == 'TXT'){
			if(($explode_name[1] == 'TXT') or ($explode_name[1] == 'txt')){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$Doc_CSV=$fileop[0];
				$Des_CSV=$fileop[1];
				$Fil_CSV=$fileop[2];
				$Sku_CSV=$fileop[3];
				$Cap_CSV=$fileop[4];
				$Can_CSV=$fileop[5];

				////Formateando las cadenas, quitando los espacios en blanco Necesarios
					$Doc_For = trim($Doc_CSV);
					$Des_For = trim($Des_CSV);
					$Fil_For = trim($Fil_CSV);
					$Sku_For = trim($Sku_CSV);
					$Cap_For = trim($Cap_CSV);
					$Can_For = trim($Can_CSV);
					
				////Concatenando variables de SKU	
					$Sku_Fin = $Sku_For."/".$Cap_For;
					
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo Pasillo esta Vacio - 1				
				if ($Doc_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Documento dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 2			
				if ($Des_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Clave del Destino dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 3		
				if ($Sku_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el codigo SKU dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 4		
				if ($Cap_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la capacidad del Codigo dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 5		
				if ($Can_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la cantidad a Surtir dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
			////Identificar si el Documento de Surtido (Orden de Embarque) NO Existe dentro del Sistema - 6
				$sql1 = mysql_query("select NO_DOCUMENTO from  tabla_docsurtido WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$Doc_For'");
						
				if (mysql_numrows($sql1)<>0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Doc_For','El No. de Documento que Intentas Interfazar YA existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si la Cve del Destino Existe dentro del Catalogo de Destios/Clientes - 7
				$sql2 = mysql_query("select CVE_DESTINO from tabla_destinosclientes WHERE CVE_CUENTA='$CuentaCR1' AND CVE_DESTINO='$Des_For'");				
				if (mysql_numrows($sql2)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Des_For','La Clave de Destino que deseas Asociar al Pedido NO se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 8
				$sql3 = mysql_query("select SKU from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$Sku_Fin'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Sku_Fin','El código Sku que deseas Surtir NO se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Activación del Validador	
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				}///8
				}///7
				}///6
				}///5
				}///4
				}///3
				}///2
				}///1
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
					$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .TXT','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .TXT\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos											

			//// PROCESO GENERAL DE GUARDADO
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
					
					////Generador de Folio para la tabla_detalledocsur
					$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_detalledocsur"; 
					$libPTDD = mysql_query($sqlPTDD); 
					$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
					$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;
								
					$Doc_CSV=$fileop2[0];
					$Des_CSV=$fileop2[1];
					$Fil_CSV=$fileop2[2];
					$Sku_CSV=$fileop2[3];
					$Cap_CSV=$fileop2[4];
					$Can_CSV=$fileop2[5];
	
					////Formateando las cadenas, quitando los espacios en blanco Necesarios
						$Doc_For = trim($Doc_CSV);
						$Des_For = trim($Des_CSV);
						$Fil_For = trim($Fil_CSV);
						$Sku_For = trim($Sku_CSV);
						$Cap_For = trim($Cap_CSV);
						$Can_For = trim($Can_CSV);
					
					////Concatenando variables de SKU	
						$Sku_Fin = $Sku_For."/".$Cap_For;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
					////Consultar la Descripcion del Producto por el Sku en la tabla_altaproducto
						$sql_5 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$Sku_Fin'");
						if (mysql_numrows($sql_5)==0) echo "";
						else{
						$registro_5=mysql_fetch_array($sql_5);
						}
						if (mysql_numrows($sql_5)>0)
						{
						$Desc_5=$registro_5["DESCRIPCION"];
						}

					////Consulta que Guarda el Registro de Cada Ubicación en la tabla_prioridad
					$sql_GDD = mysql_query("INSERT INTO tabla_detalledocsur (ID,CVE_BODEGA,CVE_CUENTA,FILA,NO_DOCUMENTO,SKU,DESCRIPCION,ESTADO_CALIDAD,CANT_X_SURTIR,ESTATUS,USUARIO_ALTA,HORA,FECHA) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$Fil_CSV','$Doc_For','$Sku_Fin','$Desc_5','D','$Can_For','POR CONFIRMAR','$UsuEn','$HoraOK','$Fecha')");											
						
					} ////Fin del While general que guarda los Registros
				
	////*****************************Guardar el Registro del Documento******************************////
					////Generador de Folio para la tabla_docsurtido
						$sql_Fol = "select max(ID) as ultimo_FOLIO_Fol from tabla_docsurtido"; 
						$lib_Fol = mysql_query($sql_Fol); 
						$rs_lib_Fol = mysql_fetch_assoc($lib_Fol); 
						$id_nuevo_Fol = $rs_lib_Fol['ultimo_FOLIO_Fol'] + 1;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK2=date("H:i:s",$Hora);
						$Fecha2=date("Y/m/d");
					
					/////Vigencia de Documento
						$VigenFecha = strtotime ( '+2 day' , strtotime ( $Fecha2 ) ) ;
						$VigenFecha = date ( 'Y/m/d' , $VigenFecha );
					

					////Guarda el Registro del Documento		
						$sqlGP = "insert into tabla_docsurtido (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,EDO_DOCUMENTO,TIPO_SALIDA,DESTINO,TIPO_SURTIDO,BACKORDER,PRIORIDAD,FECHA_CREADO,HORA_CREADO,DISPONIBILIDAD,FECHA_REG,HORA_REG,USUARIO_REG)
		values('$id_nuevo_Fol','$BodBodCR1','$CuentaCR1','$Doc_For','DETALLANDO','D','$Des_For','IA','SI','3','$Fecha2','$HoraOK2','$VigenFecha','$Fecha2','$HoraOK2','$UsuEn')";

						$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
////Aqui empieza la nueva Validación
						
						$sql_NV = mysql_query("SELECT `FILA` , COUNT( * ) AS CUENTA_R  FROM tabla_detalledocsur WHERE `NO_DOCUMENTO` = '$Doc_For' GROUP BY `FILA` HAVING COUNT( * ) >1");
						if (mysql_numrows($sql_NV)==0) echo "";
						else{
						$registro_NV=mysql_fetch_array($sql_NV);
						}
						if (mysql_numrows($sql_NV)>0)
						{
						$CtaRegis_NV=$registro_NV["CUENTA_R"];
						}
						
						if ($CtaRegis_NV >= "2")
						{
							////Elimina Documento
							$sql_ES1= "DELETE FROM tabla_docsurtido WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$Doc_For'";
							$resul_ES1=mysql_query($sql_ES1,$conexion) or die(mysql_error());
							
							////Elimina Detalle
							$sql_ES2= "DELETE FROM tabla_detalledocsur WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$Doc_For'";
							$resul_ES2=mysql_query($sql_ES2,$conexion) or die(mysql_error());
							
							////Mensaje y confirmación de Error
							echo "<script>alert('Existe un error de comunicación con el Servidor.\\nFavor de reintentar la Subida.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=109-RegistroDocSurtidoInterfazCSV3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
							
						}
						else
						{
							////Sumar el Total de Piezas por Surtir - Detalle de Surtido
							$sqlSUMA = "SELECT SUM(CANT_X_SURTIR) as ObtCant FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$Doc_For'";
							$resSUMA = mysql_query($sqlSUMA); 
							$PrePiezas = mysql_fetch_assoc($resSUMA);
							$TotPixSurti =  $PrePiezas ['ObtCant'];

							////Mensaje y confirmación de Carga Exitosa
							echo "<script>alert('DOCUMENTO DE SURTIDO INTERFAZADO CORRECTAMENTE.\\nSe agregaron $TotPixSurti registros al detalle del mismo.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=109-RegistroDocSurtidoInterfazCSV3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
						}

////Aqui Termina la nueva Validación

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=109-BitacoraDocSurtidoInterfazCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>